searchNodes=[{"doc":"A module for verifying reCAPTCHA version 2.0 response strings. See the documentation for more details.","ref":"Recaptcha.html","title":"Recaptcha","type":"module"},{"doc":"Verifies a reCAPTCHA response string. Options :timeout - the timeout for the request (defaults to 5000ms) :secret - the secret key used by recaptcha (defaults to the secret provided in application config) :remote_ip - the IP address of the user (optional and not set by default) Examples { :ok , api_response } = Recaptcha . verify ( &quot;response_string&quot; )","ref":"Recaptcha.html#verify/2","title":"Recaptcha.verify/2","type":"function"},{"doc":"Provides application/system environment variable lookup at runtime.","ref":"Recaptcha.Config.html","title":"Recaptcha.Config","type":"module"},{"doc":"Returns the requested variable.","ref":"Recaptcha.Config.html#get_env/3","title":"Recaptcha.Config.get_env/3","type":"function"},{"doc":"Responsible for managing HTTP requests to the reCAPTCHA API.","ref":"Recaptcha.Http.html","title":"Recaptcha.Http","type":"module"},{"doc":"Sends an HTTP request to the reCAPTCHA version 2.0 API. See the docs for more details on the API response. Options :timeout - the timeout for the request (defaults to 5000ms) Examples { :ok , %{ &quot;success&quot; =&gt; success , &quot;challenge_ts&quot; =&gt; ts , &quot;hostname&quot; =&gt; host , &quot;error-codes&quot; =&gt; errors } } = Recaptcha.Http . request_verification ( %{ secret : &quot;secret&quot; , response : &quot;response&quot; , remote_ip : &quot;remote_ip&quot; } )","ref":"Recaptcha.Http.html#request_verification/2","title":"Recaptcha.Http.request_verification/2","type":"function"},{"doc":"A mock HTTP client used for testing.","ref":"Recaptcha.Http.MockClient.html","title":"Recaptcha.Http.MockClient","type":"module"},{"doc":"","ref":"Recaptcha.Http.MockClient.html#request_verification/2","title":"Recaptcha.Http.MockClient.request_verification/2","type":"function"},{"doc":"A struct representing the successful recaptcha response from the reCAPTCHA API.","ref":"Recaptcha.Response.html","title":"Recaptcha.Response","type":"module"},{"doc":"","ref":"Recaptcha.Response.html#t:t/0","title":"Recaptcha.Response.t/0","type":"type"},{"doc":"Responsible for rendering boilerplate recaptcha HTML code, supports noscript fallback. Some functionality is not currently supported. In future this module may be separated out into a Phoenix specific library.","ref":"Recaptcha.Template.html","title":"Recaptcha.Template","type":"module"},{"doc":"Returns a string with reCAPTCHA code. To convert the string to html code, use Phoenix.HTML.Raw/1 method.","ref":"Recaptcha.Template.html#display/1","title":"Recaptcha.Template.display/1","type":"function"},{"doc":"Contributing","ref":"contributing.html","title":"Contributing","type":"extras"},{"doc":"Fork the project Create a topic branch Make logically-grouped commits with clear commit messages Push commits to your fork Open a pull request against recaptcha/master","ref":"contributing.html#pull-requests-welcome","title":"Contributing - Pull Requests Welcome","type":"extras"},{"doc":"If you believe there to be a bug, please provide the maintainers with enough detail to reproduce or a link to an app exhibiting unexpected behavior. For help, please start with Stack Overflow.","ref":"contributing.html#issues","title":"Contributing - Issues","type":"extras"},{"doc":"To set up the development environment you would have to follow several steps: setup elixir , we are using the latest release, but supporting everything from 1.2 clone the repo mix deps.get &amp;&amp; mix compile To test if everything is working: mix test will run unit-tests mix credo --strict will run linting mix dialyzer will run static analyzer tool to check that everything is fine with your code. It may take some time at the first run If everything is fine - feel free to submit your code!","ref":"contributing.html#development-and-testing","title":"Contributing - Development and testing","type":"extras"},{"doc":"Copyright (c) 2016 Samuel Seay MIT License Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"Recaptcha A simple Elixir package for implementing reCAPTCHA in Elixir applications.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"Breaking Changes Template functionality is now in a separate module: Recaptcha.Template . Please note: in future templating may move to a Phoenix specific package. verify API has changed, see the code for documentation of the new API. Most other questions about 2.x should be answered by looking over the documentation and the code. Please raise an issue if you have any problems with migrating.","ref":"readme.html#migration-from-1-x","title":"Overview - Migration from 1.x","type":"extras"},{"doc":"Add :recaptcha to your mix.exs dependencies: defp deps do [ { :recaptcha , &quot;~&gt; 3.0&quot; } , ] end List :recaptcha as an application dependency: def application do [ extra_applications : [ :recaptcha ] ] end Run mix do deps.get, compile","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"By default the public and private keys are loaded via the RECAPTCHA_PUBLIC_KEY and RECAPTCHA_PRIVATE_KEY environment variables. config :recaptcha , public_key : { :system , &quot;RECAPTCHA_PUBLIC_KEY&quot; } , secret : { :system , &quot;RECAPTCHA_PRIVATE_KEY&quot; } JSON Decoding By default reCaptcha will use Jason to decode JSON responses, this can be changed as such: config :recaptcha , :json_library , Poison","ref":"readme.html#config","title":"Overview - Config","type":"extras"},{"doc":"Render the Widget Use raw (if you're using Phoenix.HTML) and Recaptcha.Template.display/1 methods to render the captcha widget. For recaptcha with checkbox: &lt;form name=&quot;someform&quot; method=&quot;post&quot; action=&quot;/somewhere&quot;&gt; ... &lt;%= raw Recaptcha.Template.display %&gt; ... &lt;/form&gt; For invisible recaptcha: &lt;form name=&quot;someform&quot; method=&quot;post&quot; action=&quot;/somewhere&quot;&gt; ... &lt;%= raw Recaptcha.Template.display(size: &quot;invisible&quot;) %&gt; &lt;/form&gt; ... To change the position of the invisible recaptcha, use an option badge. See https://developers.google.com/recaptcha/docs/invisible on the date-badge. Since recaptcha loads JavaScript code asynchronously, you cannot immediately submit the captcha form. If you have logic that needs to know if the captcha code has already been loaded (for example disabling submit button until fully loaded), it is possible to pass in a JS-callback that will be called once the captcha has finished loading. This can be done as follows: &lt;form name=&quot;someform&quot; method=&quot;post&quot; action=&quot;/somewhere&quot;&gt; ... &lt;%= raw Recaptcha.Template.display(onload: &quot;myOnLoadCallback&quot;) %&gt; &lt;/form&gt; ... And then in your JS code: function myOnLoadCallback() { // perform extra actions here } display method accepts additional options as a keyword list, the options are: Option Action Default noscript Renders default noscript code provided by google false public_key Sets key to the data-sitekey reCaptcha div attribute Public key from the config file hl Sets the language of the reCaptcha en Verify API Recaptcha provides the verify/2 method. Below is an example using a Phoenix controller action: def create ( conn , params ) do case Recaptcha . verify ( params [ &quot;g-recaptcha-response&quot; ] ) do { :ok , response } -&gt; do_something { :error , errors } -&gt; handle_error end end verify method sends a POST request to the reCAPTCHA API and returns 2 possible values: {:ok, %Recaptcha.Response{challenge_ts: timestamp, hostname: host}} -&gt; The captcha is valid, see the documentation for more details. {:error, errors} -&gt; errors contains atomised versions of the errors returned by the API, See the error documentation for more details. Errors caused by timeouts in HTTPoison or Jason encoding are also returned as atoms. If the recaptcha request succeeds but the challenge is failed, a :challenge_failed error is returned. verify method also accepts a keyword list as the third parameter with the following options: Option Action Default timeout Time to wait before timeout 5000 (ms) secret Private key to send as a parameter of the API request Private key from the config file remote_ip Optional. The user's IP address, used by reCaptcha no default","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"In order to test your endpoints you should set the secret key to the following value in order to receive a positive result from all queries to the Recaptcha engine. config :recaptcha , secret : &quot;6LeIxAcTAAAAAGG-vFI1TnRWxMZNFuojJ4WifJWe&quot; Setting up tests without network access can be done also. When configured as such a positive or negative result can be generated locally. config :recaptcha , http_client : Recaptcha.Http.MockClient , secret : &quot;6LeIxAcTAAAAAGG-vFI1TnRWxMZNFuojJ4WifJWe&quot; { :ok , _details } = Recaptcha . verify ( &quot;valid_response&quot; ) { :error , _details } = Recaptcha . verify ( &quot;invalid_response&quot; )","ref":"readme.html#testing","title":"Overview - Testing","type":"extras"},{"doc":"Check out CONTRIBUTING.md if you want to help.","ref":"readme.html#contributing","title":"Overview - Contributing","type":"extras"},{"doc":"Copyright (c) 2016 Samuel Seay This library is released under the MIT License. See the LICENSE.md file for further details.","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]